Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
DL_Algorithm_ECNR< EC > Class Template Reference

ECNR algorithm. More...

`#include <eccrypto.h>`

Inheritance diagram for DL_Algorithm_ECNR< EC >:

List of all members.

## Public Member Functions

void | Sign (const DL_GroupParameters< EC::Point > &params, const Integer &x, const Integer &k, const Integer &e, Integer &r, Integer &s) const
bool | Verify (const DL_GroupParameters< EC::Point > &params, const DL_PublicKey< EC::Point > &publicKey, const Integer &e, const Integer &r, const Integer &s) const
virtual Integer | RecoverPresignature (const DL_GroupParameters< EC::Point > &params, const DL_PublicKey< EC::Point > &publicKey, const Integer &r, const Integer &s) const
virtual size_t | RLen (const DL_GroupParameters< EC::Point > &params) const
virtual size_t | SLen (const DL_GroupParameters< EC::Point > &params) const

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

### template<class EC>
class DL_Algorithm_ECNR< EC >

ECNR algorithm.

Definition at line 221 of file eccrypto.h.

The documentation for this class was generated from the following file:

- eccrypto.h